# Ogre::D3DRenderSystem::sD3DTextureStageDesc Struct Reference

structure holding texture unit settings for every stage More...

List of all members.

## Public Attributes

eD3DTexType | texType
| the type of the texture
size_t | coordIndex
| wich texCoordIndex to use
TexCoordCalcMethod | autoTexCoordType
| type of auto tex. calc. used
const Frustum * | frustum
| Frustum, used with the above in projective texturing.
LPDIRECTDRAWSURFACE7 | pTex
| texture, if it's 0/NULL the tex layer is disabled

## Detailed Description

structure holding texture unit settings for every stage

Definition at line 104 of file OgreD3D7RenderSystem.h.

## Member Data Documentation

TexCoordCalcMethod Ogre::D3DRenderSystem::sD3DTextureStageDesc::autoTexCoordType

| type of auto tex. calc. used Definition at line 111 of file OgreD3D7RenderSystem.h.

size_t Ogre::D3DRenderSystem::sD3DTextureStageDesc::coordIndex

| wich texCoordIndex to use Definition at line 109 of file OgreD3D7RenderSystem.h.

const Frustum* Ogre::D3DRenderSystem::sD3DTextureStageDesc::frustum

| Frustum, used with the above in projective texturing. Definition at line 113 of file OgreD3D7RenderSystem.h.

LPDIRECTDRAWSURFACE7 Ogre::D3DRenderSystem::sD3DTextureStageDesc::pTex

| texture, if it's 0/NULL the tex layer is disabled Definition at line 115 of file OgreD3D7RenderSystem.h.

eD3DTexType Ogre::D3DRenderSystem::sD3DTextureStageDesc::texType

| the type of the texture Definition at line 107 of file OgreD3D7RenderSystem.h.

The documentation for this struct was generated from the following file:

- OgreD3D7RenderSystem.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:08:08 2006